<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Movie Api Documentation</title>
    <style>
        table, th, td {
          border: 1px solid black;
          border-collapse: collapse;
        }
        th, td {
          padding: 5px;
          text-align: left;    
        }
    </style>
</head>
<body>
  <div>
    <p>Here is a list of movies api endpoints and what they do</p>
    <ul>
        <li>
            <p>Get all movies</p>
            <table>
                <tr>
                    <th>GET Method:</th>
                    <td>Url : /api/movies</td>
                  </tr>
            </table>
        </li>
        <li>
            <p>Get movie with an id</p>
            <table>
                <tr>
                    <th rowspan="3">GET Method:</th>
                    <td>Url : /api/movies/:movieID</td>
                  </tr>
                  <tr>
                      <td>Params : movieID</td>
                  </tr>
                  <tr>
                    <td>Values : Put any number between 1 to 50</td>
                  </tr>
            </table>
        </li>
        <li>
            <p>Add a movie</p>
            <table>
                <tr>
                    <th rowspan="2">POST Method:</th>
                    <td>Url : /api/movies</td>
                  </tr>
                  <tr>
                    <td>Request body : { "rank": "value", "title": "value", "description": "value", "runtime": "value", 
                      "genre": "value", "rating": "value", "metascore": "value", "votes": "value", 
                      "gross_earning_in_mil": "value", "actor": "value", "year": "value"} 
                      Insert the respective values in the place of value, rank field is mandatory, rest is optional</td>
                  </tr>
            </table>
        </li>
        <li>
            <p>Update a movie with an id</p>
            <table>
                <tr>
                    <th rowspan="4">PUT Method:</th>
                    <td>Url : /api/movies/:movieID</td>
                  </tr>
                  <tr>
                      <td>Params : movieID</td>
                  </tr>
                  <tr>
                    <td>Values : Put any number between 1 to 50</td>
                  </tr>
                  <tr>
                    <td>Request body : { "title": "value", "description": "value", "runtime": "value", 
                      "genre": "value", "rating": "value", "metascore": "value", "votes": "value", 
                      "gross_earning_in_mil": "value", "actor": "value", "year": "value"} 
                      Insert the respective values in the place of value</td>
                  </tr>
            </table>
        </li>
        <li>
            <p>Delete a movie with an id</p>
            <table>
                <tr>
                    <th rowspan="3">DELETE Method:</th>
                    <td>Url : /api/movies/:movieID</td>
                  </tr>
                  <tr>
                      <td>Params : movieID</td>
                  </tr>
                  <tr>
                    <td>Put any number between 1 to 50</td>
                  </tr>
            </table>
        </li>
    </ul>
</div>
</body>
</html>